org.apache.olingo.odata2.annotation.processor.ref.model

## Enum ResourceHelper.Format

- java.lang.Object
- - java.lang.Enum<ResourceHelper.Format>
  - - org.apache.olingo.odata2.annotation.processor.ref.model.ResourceHelper.Format

- All Implemented Interfaces:
    Serializable, Comparable<ResourceHelper.Format>
  Enclosing class:
    ResourceHelper

      public static enum ResourceHelper.Format
      extends Enum<ResourceHelper.Format>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMP`
    `GIF`
    `JPEG`
    `PNG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceHelper.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceHelper.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BMP

          public static final ResourceHelper.Format BMP

    - #### JPEG

          public static final ResourceHelper.Format JPEG

    - #### PNG

          public static final ResourceHelper.Format PNG

    - #### GIF

          public static final ResourceHelper.Format GIF

  - ### Method Detail

    - #### values

          public static ResourceHelper.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceHelper.Format c : ResourceHelper.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceHelper.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.